Il regolamento in vigore di un'associazione — le regole accanto al suo statuto
GET
/v1/aps/{slug}/regolamento
const url = 'https://api.vimine.network/v1/aps/example/regolamento?locale=it';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vimine.network/v1/aps/example/regolamento?locale=it'Il regolamento che l’associazione ha pubblicato e che è in vigore, compilato con i suoi dati. ?locale=, in mancanza l’italiano. Solo lettura: una richiesta di tesseramento non lo accetta.
Parametri
Sezione intitolata “Parametri”Parametri di percorso
Sezione intitolata “Parametri di percorso”slug
obbligatorio
string
Parametri di query
Sezione intitolata “Parametri di query”locale
string
Risposte
Sezione intitolata “Risposte”Regolamento
Tipo di contenutoapplication/json
object
aps
object
slug
string
name
string
uid
obbligatorio
string formato: uuid
version
obbligatorio
integer
locale
obbligatorio
string
title
obbligatorio
Il titolo che gli dà l’associazione
string
effective_from
string formato: date-time
sha256
string
rendered_sha256
string
content_md
obbligatorio
string
content_html
obbligatorio
string
Esempiogenerato
{ "aps": { "slug": "example", "name": "example" }, "uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "version": 1, "locale": "example", "title": "example", "effective_from": "2026-04-15T12:00:00Z", "sha256": "example", "rendered_sha256": "example", "content_md": "example", "content_html": "example"}Richiesta non valida
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Associazione sconosciuta o nessun regolamento in vigore
Troppe richieste
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Errore interno
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}